<?php 
echo $this->getLayout()->createBlock('core/template')->setTemplate('magebird/popup/register/global.phtml')->toHtml();
$randomId = $this->getWidgetId();
?>
<script type="text/javascript">  
rgSuccessMsg['<?php echo $this->getWidgetId()?>'] = decodeURIComponent(('<?php echo urlencode(Mage::helper('cms')->getBlockTemplateProcessor()->filter(urldecode($this->getData('success_msg')))) ?>'+'').replace(/\+/g, '%20'));
rgSuccessAction['<?php echo $this->getWidgetId()?>'] = '<?php echo $this->getData('on_success');?>';
rgSuccessUrl['<?php echo $this->getWidgetId()?>'] = '<?php echo $this->getData('success_url');?>';
rgActionDelay['<?php echo $this->getWidgetId()?>'] = '<?php echo $this->getDelay()*1000; ?>'; 
jQuery('head').append('<link rel="stylesheet" href="<?php echo $this->getSkinUrl('css/magebird_popup/widget/register/global.css?v=1.5.2') ?>" type="text/css" />');
jQuery('head').append('<link rel="stylesheet" href="<?php echo $this->getSkinUrl('css/magebird_popup/widget/register/2.css?v=1.5.2') ?>" type="text/css" />');
var workingText = '<?php echo $this->__('Working')?>...';
</script> 

<style>
#<?php echo $randomId?>.registerPopup form {              
    width: <?php echo $this->getData('width')?><?php echo $this->getData('width_unit')==2 ? "%" : "px";?>;
}

#<?php echo $randomId?>.registerPopup form input{
  width: <?php echo $this->getData('width')-20?>px;
  <?php if($this->getData('width_unit')==2):?>
  width:100%;   
  -moz-box-sizing:    border-box;
  -webkit-box-sizing: border-box;
  box-sizing:        border-box;  
  <?php endif;?>
}

#<?php echo $randomId?>.registerPopup button {
    background-color: <?php echo $this->getButtonColor(); ?>;  
    width: <?php echo $this->getData('width')-8?>px;    
    color:<?php echo $this->getButtonTextColor()?>;
    <?php if($this->getData('width_unit')==2):?>
    width:100%;   
    -moz-box-sizing:    border-box;
    -webkit-box-sizing: border-box;
    box-sizing:        border-box;  
    <?php endif;?>    
}  
</style>

<div class="registerPopup tp2" id="<?php echo $randomId?>">   
  <div class="error" style="display:none;"></div>
  <form style="display:none;" action="<?php echo $this->getLoginUrl() ?>" method="post" id="login-form" data-widgetId="<?php echo $this->getWidgetId();?>" class="site-form" onsubmit="return false">      
    <ul>
      <li>
        <input type="text" name="login_email" placeholder="<?php echo $this->__('Enter Your Email')?>" title="<?php echo $this->__('Enter Your Email')?>" />
      </li>
      <li>
        <input type="password"  name="login_password" placeholder="<?php echo $this->__('Password')?>" title="<?php echo $this->__('Select Your Password')?>" />
      </li>  
      <li>
        <button class="async_false" type="submit" title="<?php echo $this->__('Login')?>">
        <?php echo $this->__('Login') ?>
        </button>
      </li>        
    </ul>
    <p><a href="<?php echo Mage::getUrl('customer/account/forgotpassword')?>"><?php echo $this->__('Forgot password?')?></a> | <a href="#" class="register">Register</a></p>
  </form>
  <form action="<?php echo $this->getRegisterUrl() ?>" method="post" id="signup-form" data-widgetId="<?php echo $randomId;?>" class="site-form" onsubmit="return false">
    <ul>
      <li>
        <input type="text" name="firstname" placeholder="<?php echo $this->__('First Name')?>" title="<?php echo $this->__('Enter Your First Name')?>" />
      </li>
      <li>
        <input type="text" name="lastname" placeholder="<?php echo $this->__('Last Name')?>" title="<?php echo $this->__('Enter Your Last Name')?>" />
      </li>
      <li>
        <input type="text" name="email" placeholder="<?php echo $this->__('Your Email')?>" title="<?php echo $this->__('Enter Your Email')?>" />
      </li>
      <li>
        <input type="password" name="password" placeholder="<?php echo $this->__('Select Password')?>" title="<?php echo $this->__('Select Your Password')?>" />
      </li>
      <?php if($this->getData('newsletter_option')==2): ?>
      <li>
        <div id="subscribeNewsletter">
          <input type="checkbox" id="is_subscribed" name="is_subscribed"<?php if($this->getData('checkbox_checked')==1) echo ' checked="checked"'?>>
          <label for="is_subscribed"><?php echo $this->getData('checkbox_text') ? $this->getData('checkbox_text') : $this->__('Subscribe newsletter') ?></label>    
        </div>
      </li>
      <?php endif;?>
      <li>
        <button class="async_false" type="submit" title="<?php echo $this->__('Subscribe')?>">
        <?php echo $this->getData('button_text') ? $this->getData('button_text') : $this->__('Create Account') ?>
        </button>
      </li>
    </ul>
    <p><a href="#" class="login"><?php echo $this->__('Login')?></a></p>    
  </form>    
</div>  
<!--DONT REMOVE! jQuery use it to check if css is loaded-->
<div class="cssLoadedChecker moctod-dribegam"></div>
<div class="cssLoadedChecker2 moctod-dribegam"></div>
<?php $async = Mage::getStoreConfig('magebird_popup/settings/asynchronous') ? 'async' : ''; ?>
<script <?php echo $async; ?> src="<?php echo $this->getSkinUrl('js/magebird_popup/register.js') ?>"></script>